Bug 206871 - Review Request: ekg2 - Multi-protocol instant messaging and chat client
Review Request: ekg2 - Multi-protocol instant messaging and chat client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 239770
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 09:53 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-14 11:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-09-17 09:53:52 EDT
Spec URL: http://rpm.greysector.net/extras/ekg2.spec
SRPM URL: http://rpm.greysector.net/extras/ekg2-0-0.1.20060915.src.rpm
Description:
Multi-protocol instant messaging and chat client with many plugins.
Comment 1 Paul F. Johnson 2006-09-17 10:19:33 EDT
Version:	0
Release:	0.1.%{_snap}

This is a very early package. Is it really suitable at this stage for inclusion
into FE?
Comment 2 Dominik 'Rathann' Mierzejewski 2006-09-17 10:21:33 EDT
Yes, it's already usable and used by many people, even though it is a CVS snapshot.
Comment 3 Dawid Gajownik 2006-09-17 10:38:11 EDT
It does not build here:

błąd: Znaleziono zainstalowane (ale niespakietowane) pliki:
   /usr/lib/ekg2/plugins/rot13.so


Błędy budowania RPM-a:
    Znaleziono zainstalowane (ale niespakietowane) pliki:
   /usr/lib/ekg2/plugins/rot13.so
[rpm-build@X ekg2-0]$

which means that /usr/lib/ekg2/plugins/rot13.so file is not listed in %files
section.
Comment 4 Paul F. Johnson 2006-09-25 15:53:17 EDT
I'm going to have to duck out of this one - work pressures mean I can keep up
with what I have but not much else. Reassigning this BZ to the default nobody to
pick up
Comment 5 Michał Bentkowski 2006-10-12 14:19:47 EDT
I get following error:
błąd: Znaleziono zainstalowane (ale niespakietowane) pliki:
   /usr/lib64/ekg2/plugins/readline.so
   /usr/lib64/ekg2/plugins/rot13.so
   /usr/share/ekg2/plugins/readline/vars-pl.tx
Comment 6 Dominik 'Rathann' Mierzejewski 2006-11-19 20:00:59 EST
http://rpm.greysector.net/extras/ekg2.spec
http://rpm.greysector.net/extras/ekg2-0-0.2.20061119.src.rpm

This one actually builds in mock.
Comment 7 Michał Bentkowski 2006-11-27 17:55:31 EST
The main package looks good, but you have to fix some issues in subpackages.
-xosd, -logsqlite, -jabber and -gadu-gadu subpackage contain documentation files
in %{_datadir}/ekg2/[sub_package_name]. Firstly, you should either simply mark
them as %doc in ekg2 datadir or don't even install them there, just put it in
standard documentation folder. Secondly, Polish doc files in subpackages have
wrong charset - iconv them to utf8.
And the thing I've already mentioned at IRC channel is to change "pluginami"
to "wtyczkami" in description of main package.
Comment 8 Michał Bentkowski 2006-11-27 18:07:47 EST
1. I found another issue now. When trying to install it I get following error:
Preparing...                ########################################### [100%]
        file /usr/libexec/ioctld from install of ekg2-0-0.2.20061119 conflicts 
with file from package ekg-1.7-0.3.rc2.fc6

ekg and ekg2 come to conflict with each other.

2. How about metapackages? Typying only `yum install ekg2` a normal user won't
get a usable ekg2 package. Trying to connect to any protocol just ends with an
ugly "Nieprawidłowy identyfikator użytkownika" (Incorrect user id) - he may get
discouraged by it. Maybe move a ekg2 content to ekg2-core and make main package
as a metapackage which installs ekg2-core and ekg2-gadu-gadu (or even
ekg2-jabber) would be a good solution? What's your opinion?

Comment 9 Dominik 'Rathann' Mierzejewski 2006-11-27 18:12:02 EST
I agree. The same should probably be done with gg2. I'll fix the above issues
shortly.
Comment 10 Dominik 'Rathann' Mierzejewski 2007-02-04 15:35:03 EST
http://rpm.greysector.net/extras/ekg2.spec
http://rpm.greysector.net/extras/ekg2-0-0.3.20070203.src.rpm

Addressed the above issues.
Comment 11 Dominik 'Rathann' Mierzejewski 2007-02-04 19:38:54 EST
http://rpm.greysector.net/extras/ekg2.spec
http://rpm.greysector.net/extras/ekg2-0-0.4.20070203.src.rpm

Even more issues fixed:
- renamed perl and python bindings packages                                    
                                        
- added gpgme-devel BR                                                         
                                        
- added BuildConflicts: readline-devel                                         
                                        
- removed redundant BRs                                                        
                                        
- built HTML docs                                                              
                                        
- built ncurses plugin with -fno-strict-aliasing to avoid infinite loop        
                                        
  in unicode build
Comment 12 Michał Bentkowski 2007-02-05 15:03:42 EST
REVIEW:
 * source matches upstram (fec378012b1387b67cf226d40a152ebf)
!* %{?dist} tag not present
 * package is licensed under a GPL license; license text is included
 * rpmlint output:
E: ekg2 no-binary
W: ekg2 no-documentation
W: perl-ekg2 no-documentation
W: ekg2-gadu-gadu no-documentation
W: ekg2-gpg no-documentation
W: ekg2-jabber no-documentation
W: ekg2-logsqlite no-documentation
W: ekg2-ioctld no-documentation
W: ekg2-xosd no-documentation
W: ekg2-gtk2 no-documentation
W: python-ekg2 no-documentation
we can safely ignore it since ekg2 is a metapackage
 * BRs looks fine (mock fc6/x86_64 builds good)
 * provides and requires look sane
 * not relocatable
 * all directories owned well
 * %clean section present
 * BuildRoot's good
 * subpackages: python-ekg2 should be renamed to ekg2-python, because it's not 
python module but ekg2 extension to support python

THINGS to do:
 - add %{?dist} tag
 - rename python-ekg2 to ekg2-python

Comment 13 Ville Skyttä 2007-02-05 15:19:54 EST
(In reply to comment #12)
>  - rename python-ekg2 to ekg2-python

The naming guidelines say pretty much the opposite:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-8756a3bce652c376d7ba3908461b638784b6952d
https://bugzilla.redhat.com/223618

This was discussed in a recent packaging committee meeting and no changes were
made to the naming guidelines.
Comment 14 Michał Bentkowski 2007-02-05 15:30:29 EST
(In reply to comment #13)
> https://bugzilla.redhat.com/223618

Obexftp seems to be different case. Obexftp puts its python files to standard
 %{python_sitelib} and %{python_sitearch} directories so that's in fact a 
python module.
Ekg2 doesn't create new python module (`import ekg2` give you nothing) so this 
is not python module but only an extension to ekg2 to support python. Naming 
Guidelines talks about "(python modules)" but IMO ekg2-python is not a python 
module.
Comment 15 Ville Skyttä 2007-02-05 16:56:59 EST
That POV was represented in the packaging meeting too, and it does indeed have
some merit.  Maybe we need more discussion and clarifications.

By the way, just from skimming the specfile, the 
%{perl_vendorarch}/auto/Ekg2/Irc/ dir appears to be unowned.
Comment 16 Michał Bentkowski 2007-02-05 17:03:58 EST
(In reply to comment #15)
> That POV was represented in the packaging meeting too, and it does indeed have
> some merit.  Maybe we need more discussion and clarifications.
> 
We probably need.

> By the way, just from skimming the specfile, the 
> %{perl_vendorarch}/auto/Ekg2/Irc/ dir appears to be unowned.

Fact, missed that...
Comment 18 Dominik 'Rathann' Mierzejewski 2007-04-30 10:32:22 EDT
ekg2 now requires libgsm, under review in bug 228186.
Comment 19 Michał Bentkowski 2007-05-01 06:31:06 EDT
 * rpmlint:
W: ekg2-python no-documentation
W: ekg2-voip no-documentation
E: ekg2 no-binary
W: ekg2 no-documentation
W: ekg2-gtk2 no-documentation
W: ekg2-logsqlite no-documentation
W: ekg2-gpg no-documentation
W: ekg2-ioctld no-documentation
W: ekg2-jabber no-documentation
W: perl-ekg2 no-documentation
E: perl-ekg2 script-without-shebang /usr/share/ekg2/scripts/sample.pl
E: perl-ekg2 script-without-shebang /usr/share/ekg2/scripts/dupa.pl
E: perl-ekg2 script-without-shebang /usr/share/ekg2/scripts/irc.pl
W: ekg2-gadu-gadu no-documentation
W: ekg2-xosd no-documentation

 * use versioned dependencies for the main package (current solution breaks 
updates)

 * fix perl-ekg2 issues reported by rpmlint
Comment 21 Michał Bentkowski 2007-05-20 08:05:05 EDT
I like it now.
Approved.
Comment 22 Dominik 'Rathann' Mierzejewski 2007-06-29 05:43:09 EDT
New Package CVS Request
=======================
Package Name: ekg2
Short Description: Multi-protocol instant messaging and chat client
Owners: rpm@greysector.net
Branches: F-7 FC-6
InitialCC: 
Comment 23 Kevin Fenzi 2007-06-29 16:48:10 EDT
cvs done.
Comment 24 Dominik 'Rathann' Mierzejewski 2007-07-14 11:47:47 EDT
built for devel

Note You need to log in before you can comment on or make changes to this bug.